{%- from "ceilometer/map.jinja" import server,agent with context %}

ceilometer_render_config:
  test.show_notification:
    - text: "Running ceilometer.upgrade.render_config"

{%- if server.enabled %}
  {%- set gnocchi_publisher = server.get('publisher', {}).get('gnocchi', {}) %}

ceilometer_server_conf:
  file.managed:
  - name: /etc/ceilometer/ceilometer.conf
  - source: salt://ceilometer/files/{{ server.version }}/ceilometer-server.conf.{{ grains.os_family }}
  - template: jinja

  {%- if server.get('concurrency', {}).lock_path is defined %}
ceilometer_upgrade_server_lock_path_{{ server.concurrency.lock_path }}:
  file.directory:
  - name: {{ server.concurrency.lock_path }}
  - user: ceilometer
  - group: ceilometer
  - mode: 750
  - makedirs: True
  {%- endif %}

  {%- if gnocchi_publisher.get('create_resources', False) and gnocchi_publisher.get('enabled', False) %}
ceilometer_server_gnocchi_resources:
  file.managed:
  - name: /etc/ceilometer/gnocchi_resources.yaml
  - source: salt://ceilometer/files/{{ server.version }}/gnocchi_resources.yaml
  {%- endif %}
{%- endif %}

{%- if agent.enabled %}
ceilometer_agent_conf:
  file.managed:
  - name: /etc/ceilometer/ceilometer.conf
  - source: salt://ceilometer/files/{{ agent.version }}/ceilometer-agent.conf.{{ grains.os_family }}
  - template: jinja

  {%- if agent.get('concurrency', {}).lock_path is defined %}
ceilometer_upgrade_agent_lock_path_{{ agent.concurrency.lock_path }}:
  file.directory:
  - name: {{ agent.concurrency.lock_path }}
  - user: ceilometer
  - group: ceilometer
  - mode: 750
  - makedirs: True
  {%- endif %}
{%- endif %}

